OpenTTD: Data Structures

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 123]

SQConvert | The Squirrel convert routines
SQAutoFreePointers | Pointers assigned to this class will be free'd when this instance comes out of scope
YesT |
IsVoidT | Helper class to recognize if the given type is void
IsVoidT< void > |
HasVoidReturnT< Tretval(*)()> |
HasVoidReturnT< Tretval(*)(Targ1)> |
HasVoidReturnT< Tretval(*)(Targ1, Targ2)> |
HasVoidReturnT< Tretval(*)(Targ1, Targ2, Targ3)> |
HasVoidReturnT< Tretval(*)(Targ1, Targ2, Targ3, Targ4)> |
HasVoidReturnT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5)> |
HasVoidReturnT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5, Targ6, Targ7, Targ8, Targ9, Targ10)> |
HasVoidReturnT< Tretval(Tcls::*)()> |
HasVoidReturnT< Tretval(Tcls::*)(Targ1)> |
HasVoidReturnT< Tretval(Tcls::*)(Targ1, Targ2)> |
HasVoidReturnT< Tretval(Tcls::*)(Targ1, Targ2, Targ3)> |
HasVoidReturnT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4)> |
HasVoidReturnT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4, Targ5)> |
HasVoidReturnT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4, Targ5, Targ6, Targ7, Targ8, Targ9, Targ10)> |
ForceType | Special class to make it possible for the compiler to pick the correct GetParam()
HelperT< Tretval(*)(), false > | The real C++ caller for function with return value and 0 params
HelperT< Tretval(*)(), true > | The real C++ caller for function with no return value and 0 params
HelperT< Tretval(Tcls::*)(), false > | The real C++ caller for method with return value and 0 params
HelperT< Tretval(Tcls::*)(), true > | The real C++ caller for method with no return value and 0 params
HelperT< Tretval(*)(Targ1), false > | The real C++ caller for function with return value and 1 param
HelperT< Tretval(*)(Targ1), true > | The real C++ caller for function with no return value and 1 param
HelperT< Tretval(Tcls::*)(Targ1), false > | The real C++ caller for method with return value and 1 param
HelperT< Tretval(Tcls::*)(Targ1), true > | The real C++ caller for method with no return value and 1 param
HelperT< Tretval(*)(Targ1, Targ2), false > | The real C++ caller for function with return value and 2 params
HelperT< Tretval(*)(Targ1, Targ2), true > | The real C++ caller for function with no return value and 2 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2), false > | The real C++ caller for method with return value and 2 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2), true > | The real C++ caller for method with no return value and 2 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3), false > | The real C++ caller for function with return value and 3 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3), true > | The real C++ caller for function with no return value and 3 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3), false > | The real C++ caller for method with return value and 3 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3), true > | The real C++ caller for method with no return value and 3 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4), false > | The real C++ caller for function with return value and 4 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4), true > | The real C++ caller for function with no return value and 4 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4), false > | The real C++ caller for method with return value and 4 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4), true > | The real C++ caller for method with no return value and 4 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5), false > | The real C++ caller for function with return value and 5 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5), true > | The real C++ caller for function with no return value and 5 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4, Targ5), false > | The real C++ caller for method with return value and 5 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4, Targ5), true > | The real C++ caller for method with no return value and 5 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5, Targ6, Targ7, Targ8, Targ9, Targ10), false > | The real C++ caller for function with return value and 10 params
HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5, Targ6, Targ7, Targ8, Targ9, Targ10), true > | The real C++ caller for function with no return value and 10 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4, Targ5, Targ6, Targ7, Targ8, Targ9, Targ10), false > | The real C++ caller for method with return value and 10 params
HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3, Targ4, Targ5, Targ6, Targ7, Targ8, Targ9, Targ10), true > | The real C++ caller for method with no return value and 10 params
AboutWindow |
AccelerationSlowdownParams | Data structure for storing engine speed changes of an acceleration type
Action5Type | Information about a single action 5 type
AdaptT | Adapter wrapper for CCountedPtr like classes that can't be used directly by stl collections as item type
AfterNewGRFScan | Callback structure of statements to be executed after the NewGRF scan
AI | Main AI class
AIConfig |
AIConfigWindow | Window to configure which AIs will start
AIDebugWindow | Window with everything an AI prints via ScriptLog
AIInfo | All static information from an AI like name, version, etc
AIInstance | Runtime information about an AI like a pointer to the squirrel vm and the current state
AILibrary | All static information from an AI library like name, version, etc
AIListWindow | Window that let you choose an available AI
Aircraft | Aircraft, helicopters, rotors and their shadows belong to this class
AircraftCache | Variables that are cached to improve performance and such
AircraftVehicleInfo | Information about a aircraft vehicle
Airport | All airport-related information
AirportFTA | Internal structure used in openttd - Finite sTate mAchine –> FTA
AirportFTAbuildup | State machine input struct (from external file, etc.) Finite sTate mAchine –> FTA
AirportFTAClass | Finite sTate mAchine (FTA) of an airport
AirportMovingData | A single location on an airport where aircraft can move to
AirportOverrideManager |
AirportResolverObject | Resolver object for airports
AirportScopeResolver | Resolver for the airport scope
AirportSpec | Defines the data structure for an airport
AirportTileAnimationBase | Helper class for animation control
AirportTileIterator | Iterator to iterate over all tiles belonging to an airport
AirportTileOverrideManager |
AirportTileResolverObject | Resolver for tiles of an airport
AirportTileScopeResolver | Scope resolver for handling the tiles of an airport
AirportTileSpec | Defines the data structure of each individual tile of an airport
AirportTileTable | Tile-offset / AirportTileID pair
AirportTileTableIterator | Iterator to iterate over all tiles belonging to an airport spec
AIScannerInfo |
AIScannerLibrary |
AISettings | Settings related to the AI
AISettingsWindow | Window for settings the parameters of an AI
AllowedSubtags | Data structure to store the allowed id/type combinations for action 14
AndOr |
AnimationBase | Helper class for a unified approach to NewGRF animation
AnimationInfo | Information about animation
AnimCursor | A single sprite of a list of animated cursors
Array | Definition of a simple array
ArrayT< T[N]> | Helper template class that provides C array length and item type
AsymmetricScaler | A scaler for asymmetric distribution
AutoDeleteSmallVector | Simple vector template class, with automatic delete
AutoFreePtr | A smart pointer class that free()'s the pointer on destruction
AutoFreeSmallVector | Simple vector template class, with automatic free
AyStar | AyStar search algorithm struct
AyStarNode | Node in the search
AyStarUserData | Indices into AyStar.userdata[]
Backup | Class to backup a specific variable and restore it later
BaseConsist | Various front vehicle properties that are preserved when autoreplacing, using order-backup or switching front engines within a consist
BaseGraphics | All data/functions related with replacing the base graphics
BaseGraphWindow |
BaseMedia | Base for all base media (graphics, sounds)
BaseMusic | All data/functions related with replacing the base music
BaseNetworkContentDownloadStatusWindow | Base window for showing the download status of content
BasePersistentStorageArray | Base class for all persistent NewGRF storage arrays
BaseSet | Information about a single base set
BaseSetTextfileWindow | Window for displaying the textfile of a BaseSet
BaseSettingEntry | Data structure describing a single setting in a tab
BaseSounds | All data/functions related with replacing the base sounds
BaseStation | Base class for all station-ish types
BaseVehicle | Base vehicle class
BaseVehicleListWindow |
BinaryHeap | Binary Heap
BinaryHeapNode |
BitmapFileHeader | BMP File Header (stored in little endian)
BitmapInfoHeader | BMP Info Header (stored in little endian)
Blitter | How all blitters should look like
BlitterParams | Parameters related to blitting
Blitter_32bppAnim | The optimised 32 bpp blitter with palette animation
Blitter_32bppBase | Base for all 32bpp blitters
Blitter_32bppOptimized | The optimised 32 bpp blitter (without palette animation)
SpriteData | Data stored about a (single) sprite
Blitter_32bppSimple | The most trivial 32 bpp blitter (without palette animation)
Pixel |
Blitter_8bppBase | Base for all 8bpp blitters
Blitter_8bppOptimized | 8bpp blitter optimised for speed
SpriteData | Data stored about a (single) sprite
Blitter_8bppSimple | Most trivial 8bpp blitter
Blitter_Null | Blitter that does nothing
BlitterFactory | The base factory, keeping track of all blitters
BmpBuffer |
BmpData |
BmpInfo |
BootstrapAskForDownloadWindow | The window for the query
BootstrapBackground | The background for the game
BootstrapContentDownloadStatusWindow | Window for showing the download status of content
BridgeSpec | Struct containing information about a single bridge type
BubbleMovement |
Buffer | The buffer for writing a single string
BuildAirportWindow |
BuildAirToolbarWindow | Airport build toolbar window handler
BuildBridgeData | Carriage for the data we need if we want to build a bridge
BuildBridgeWindow | Window class for handling the bridge-build GUI
BuildDocksDepotWindow |
BuildDocksStationWindow |
BuildDocksToolbarWindow | Toolbar window for constructing water infrastructure
BuildIndustryWindow | Build (fund or prospect) a new industry,
BuildingCounts |
BuildObjectWindow | The window used for building objects
BuildRailDepotWindow |
BuildRailStationWindow |
BuildRailToolbarWindow | Rail toolbar management class
BuildRailWaypointWindow |
BuildRoadDepotWindow |
BuildRoadStationWindow |
BuildRoadToolbarWindow | Road toolbar window handler
BuildSignalWindow |
BuildTreesWindow | The build trees window
BuildVehicleWindow | GUI for building vehicles
BulldozerMovement |
BuyCompanyWindow |
ByteBlob | Base class for simple binary blobs
BlobHeader | Header of the allocated memory block
ByteReader | Class to read from a NewGRF file
CallbackResultSpriteGroup |
CanalProperties | Canal properties local to the NewGRF
CanalResolverObject | Resolver object for canals
CanalScopeResolver | Scope resolver of a canal tile
CapacityAnnotation | Capacity-based annotation for use in the Dijkstra algorithm
Comparator | Comparator for std containers
CargoArray | Class for storing amounts of cargo
CargoDataEntry | A cargo data entry representing one possible row in the station view window's top part
CargoDelivery | Action of final delivery of cargo
CargoesField | Data about a single field in the IndustryCargoesWindow panel
CargoesRow | A single row of CargoesField
CargoList | Simple collection class for a list of cargo packets
CargoLoad | Action of loading cargo from a station onto a vehicle
CargoMovement | Abstract action for moving cargo from one list to another
CargoPacket | Container for cargo from the same location and time
CargoPayment | Helper class to perform the cargo payment
CargoRemoval | Abstract action of removing cargo from a vehicle or a station
CargoReroute | Action of rerouting cargo between different cargo lists and/or next hops
CargoReservation | Action of reserving cargo from a station to be loaded onto a vehicle
CargoResolverObject | Resolver of cargo
CargoReturn | Action of returning previously reserved cargo from the vehicle to the station
CargoShift | Action of shifting cargo from one vehicle to another
CargoSorter |
CargoSpec | Specification of a cargo type
CargoSummaryItem | Helper struct for the cargo details information
CargoTransfer | Action of transferring cargo from a vehicle to a station
Case | Container for the different cases of a string
CBinaryHeapT | Binary Heap as C++ template
CBlobT | Blob - simple dynamic T array
OnTransfer |
CCountedPtr | CCountedPtr - simple reference counting smart pointer
CFollowTrackT | Track follower helper template class (can serve pathfinders and vehicle controllers)
CHashTableSlotT |
CHashTableT | Class CHashTableT<Titem, Thash_bits> - simple hash table of pointers allocated elsewhere
ChatMessage | Container for a message
Cheat | Info about each of the cheats
CheatEntry | Information of a cheat
Cheats | WARNING! Do not remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility
CheatWindow | GUI for the cheats
ChildScreenSpriteToDraw |
ChunkHandler | Handlers and description of chunk
ClearedObjectArea | Keeps track of removed objects during execution/testruns of commands
ClientNetworkContentSocketHandler | Socket handler for the content server connection
ClientNetworkGameSocketHandler | Class for handling the client side of the game connection
ClientNetworkUDPSocketHandler | *** Communication with servers (we are client) ***/
ClientSettings | All settings that are only important for the local client
CmdPair |
CmdStruct |
CNodeList_HashTableT | Hash table based node list multi-container class
CocoaSubdriver | Generic display driver for cocoa On grounds to not duplicate some code, it contains a few variables which are not used by all device drivers
Colour | Structure to access the alpha, red, green, and blue channels from a 32 bit number
Command | Define a command with the flags which belongs to it
CommandContainer | Structure for buffering the build command when selecting a station to join
CommandCost | Common return value for all commands
CommandPacket | Everything we need to know about a command to be able to execute it
CommandQueue | A queue of CommandPackets
Company |
CompanyEconomyEntry | Statistics about the economy
CompanyFinancesWindow | Window class displaying the company finances
CompanyInfrastructure |
CompanyInfrastructureWindow | Window with detailed information about the company's infrastructure
CompanyLeagueWindow |
CompanyManagerFaceBitsInfo | Information about the valid values of CompanyManagerFace bitgroups as well as the sprites to draw
CompanyNewsInformation | Data that needs to be stored for company news messages
CompanyOldAI |
CompanyProperties | Statically loadable part of Company pool item
CompanySettings | Settings that can be set per company
CompanyStationsWindow | The list of stations per company
CompanyValueGraphWindow |
CompanyWindow | Window with general information about a company
ComponentHandler | A handler doing "something" on a link graph component
ConsoleContentCallback | Asynchronous callback
ConsoleFileList | File list storage for the console, for caching the last 'ls' command
ConstructionSettings | Settings related to construction in-game
ContentCallback | Callbacks for notifying others about incoming data
ContentInfo | Container for all important information about a piece of content
ContentListFilterData | Filter data for NetworkContentListWindow
ContentTextfileWindow | Window for displaying the textfile of an item in the content list
CPerformanceTimer |
CPerfStartFake |
CPerfStartReal |
CrashLog | Helper class for creating crash logs
CrashLogOSX | OSX implementation for the crash logger
CrashLogUnix | Unix implementation for the crash logger
CrashLogWindows | Windows implementation for the crash logger
CreateScenarioWindow |
CSegmentCostCacheBase | Base class for segment cost cache providers
CSegmentCostCacheT | CSegmentCostCacheT - template class providing hash-map and storage (heap) of Tsegment structures
CStrA | Blob based case sensitive ANSI/UTF-8 string
CurrencySpec | Specification of a currency
CursorVars | Collection of variables for cursor-display and -animation
CustomCurrencyWindow |
CYapfAnyDepotRail1 |
CYapfAnyDepotRail2 |
CYapfAnySafeTileRail1 |
CYapfAnySafeTileRail2 |
CYapfBaseT | CYapfBaseT - A-star type path finder base class
CYapfCostBase | Base implementation for cost accounting
CYapfCostRailT |
TILE |
CYapfCostRoadT |
CYapfCostShipT | Cost Provider module of YAPF for ships
CYapfDestinationAnyDepotRailT |
CYapfDestinationAnyDepotRoadT |
CYapfDestinationAnySafeTileRailT |
CYapfDestinationRailBase |
CYapfDestinationTileOrStationRailT |
CYapfDestinationTileRoadT |
CYapfDestinationTileT | YAPF destination provider base class - used when destination is single tile / multiple trackdirs
CYapfFollowAnyDepotRailT |
CYapfFollowAnySafeTileRailT |
CYapfFollowRailT |
CYapfFollowRoadT |
CYapfFollowShipT | Node Follower module of YAPF for ships
CYapfNodeKeyExitDir | Yapf Node Key that evaluates hash from (and compares) tile & exit dir
CYapfNodeKeyTrackDir |
CYapfNodeT | Yapf Node base
CYapfOriginTileT | YAPF origin provider base class - used when origin is one tile / multiple trackdirs
CYapfOriginTileTwoWayT | YAPF origin provider base class - used when there are two tile/trackdir origins
CYapfRail1 |
CYapfRail2 |
CYapfRail_TypesT |
CYapfRailNodeT | Yapf Node for rail YAPF
CYapfRailSegment | Cached segment cost for rail YAPF
CYapfRailSegmentKey | Key for cached segment cost for rail YAPF
CYapfReserveTrack |
CYapfRoad1 |
CYapfRoad2 |
CYapfRoad_TypesT |
CYapfRoadAnyDepot1 |
CYapfRoadAnyDepot2 |
CYapfRoadNodeT | Yapf Node for road YAPF
CYapfSegmentCostCacheGlobalT | CYapfSegmentCostCacheGlobalT - the yapf cost cache provider that adds the segment cost caching functionality to yapf
CYapfSegmentCostCacheLocalT | CYapfSegmentCostCacheLocalT - the yapf cost cache provider that implements fake segment cost caching functionality for yapf
CYapfSegmentCostCacheNoneT | CYapfSegmentCostCacheNoneT - the formal only yapf cost cache provider that implements PfNodeCacheFetch() and PfNodeCacheFlush() callbacks
CYapfShip1 |
CYapfShip2 |
CYapfShip3 |
CYapfShip_TypesT | Config struct of YAPF for ships
CYapfShipNodeT | Yapf Node for ships
CYapfT | YAPF template that uses Ttypes template argument to determine all YAPF components (base classes) from which the actual YAPF is composed
CzechNameAdj |
CzechNameSubst |
DebugFileInfo |
DebugLevel |
DefaultUnicodeMapping |
DefSQClass | The template to define classes in Squirrel
DeliveredCargoGraphWindow |
DemandCalculator | Calculate the demands
DemandHandler | Stateless, thread safe demand hander
Depot |
DepotWindow |
GetDepotVehiclePtData |
DeterministicSpriteGroup |
DeterministicSpriteGroupAdjust |
DeterministicSpriteGroupRange |
DiagonalTileArea | Represents a diagonal tile area
DiagonalTileIterator | Iterator to iterate over a diagonal area of the map
DifficultySettings | Settings related to the difficulty of the game
Dimension | Dimensions (a width and height) of a rectangle in 2D
DIR |
Disaster |
DisasterVehicle | Disasters, like submarines, skyrangers and their shadows, belong to this class
DistanceAnnotation | Distance-based annotation for use in the Dijkstra algorithm
Comparator | Comparator for std containers
DrawBuildingsTileStruct | This structure is the same for both Industries and Houses
DrawIndustryAnimationStruct | This is used to gather some data about animation drawing in the industry code Image_1-2-3 are in fact only offset in the sprites used by the industry
DrawIndustryCoordinates | Simple structure gathering x,y coordinates for industries animations
DrawPixelInfo | Data about how and where to blit pixels
DrawRoadTileStruct |
DrawTileSeqStruct | A tile child sprite and palette to draw for stations etc, with 3D bounding box
DrawTileSprites | Ground palette sprite of a tile, together with its sprite layout
Driver | A driver for communicating with the user
DriverFactoryBase | Base for all driver factories
DropDownListCharStringItem | List item containing a C char string
DropDownListCheckedItem | Drop down list entry for showing a checked/unchecked toggle item
DropDownListColourItem |
DropDownListCompanyItem | Drop down list entry for showing a company entry, with companies 'blob'
DropDownListItem | Base list item class from which others are derived
DropDownListParamStringItem | String list item with parameters
DropDownListPresetItem |
DropDownListStringItem | Common string list item
DropdownWindow | Drop-down menu window
DumpTarget | Class that represents the dump-into-string target
KnownStructKey | Used as a key into map of known object instances
Economy | Data of the economy
EconomySettings | Settings related to the economy
EffectVehicle | A special vehicle is one of the following:
EndGameHighScoreBaseWindow |
EndGameWindow | End game window shown at the end of the game
Engine |
EngineIDMapping |
EngineInfo | Information about a vehicle
EngineOverrideManager | Stores the mapping of EngineID to the internal id of newgrfs
EnginePreviewWindow |
EngineRenew | Struct to store engine replacements
EntityIDMapping | Maps an entity id stored on the map to a GRF file
EnumPropsT< Axis > | Helper information for extract tool
EnumPropsT< Colours > |
EnumPropsT< DiagDirection > | Allow incrementing of DiagDirection variables
EnumPropsT< Direction > | Allow incrementing of Direction variables
EnumPropsT< DisallowedRoadDirections > | Helper information for extract tool
EnumPropsT< DistributionType > |
EnumPropsT< ExpensesType > | Define basic enum properties for ExpensesType
EnumPropsT< LiveryScheme > | Helper information for extract tool
EnumPropsT< ModifyOrderFlags > |
EnumPropsT< ModifyTimetableFlags > |
EnumPropsT< Owner > | Define basic enum properties
EnumPropsT< RailType > | Allow incrementing of Track variables
EnumPropsT< RoadBits > |
EnumPropsT< RoadType > |
EnumPropsT< RoadTypes > |
EnumPropsT< SignalType > | Helper information for extract tool
EnumPropsT< StationClassID > |
EnumPropsT< StoryPageElementType > | Define basic enum properties
EnumPropsT< TownLayout > |
EnumPropsT< TownSize > |
EnumPropsT< Track > | Allow incrementing of Track variables
EnumPropsT< Trackdir > | Define basic enum properties
EnumPropsT< TransportType > | Helper information for extract tool
EnumPropsT< VehicleType > | Helper information for extract tool
EnumPropsT< WaterClass > | Helper information for extract tool
ErrmsgWindow | Window class for displaying an error message window
ErrorMessageData | The data of the error message
ETileArea |
ExpensesList | Expense list container
ExtraPaletteValues | Description of tables for the palette animation
ExtraViewportWindow |
FallbackParagraphLayout | Class handling the splitting of a paragraph of text into lines and visual runs
FallbackLine | A single line worth of VisualRuns
FallbackVisualRun | Visual run contains data about the bit of text with the same font
FBlitter_32bppAnim | Factory for the 32bpp blitter with animation
FBlitter_32bppOptimized | Factory for the optimised 32 bpp blitter (without palette animation)
FBlitter_32bppSimple | Factory for the simple 32 bpp blitter
FBlitter_8bppOptimized | Factory for the 8bpp blitter optimised for speed
FBlitter_8bppSimple | Factory for the most trivial 8bpp blitter
FBlitter_Null | Factory for the blitter that does nothing
FenceOffset | Offsets for drawing fences
File | Helper class to read a file
FileList | List of file information
FileReader | Yes, simply reading from a file
FileScanner | Helper for scanning for files with a given name
FileStringReader | A reader that simply reads using fopen
FileToSaveLoad | Deals with the type of the savegame, independent of extension
FileWriter | Yes, simply writing to a file
Filtering | Data structure describing what to show in the list (filter criteria)
FinalizeRefitAction | Action for finalizing a refit
FindDepotData | Helper container to find a depot
FindTrainOnTrackInfo | Helper struct for finding the best matching vehicle on a specific track
Fio | Structure for keeping several open files with just one data buffer
FiosFileScanner | Scanner to scan for a particular type of FIOS file
FiosItem | Deals with finding savegames
FixedSizeArray | Fixed size array Upon construction it preallocates fixed size block of memory for all items, but doesn't construct them
ArrayHeader | Header for fixed size array
FlowEdgeIterator | Iterator class for getting edges from a FlowStatMap
FlowMapper | Map the path trees generated by the MCF solver into flows
FlowSaveLoad |
FlowStat | Flow statistics telling how much flow should be sent along a link
FlowStatMap | Flow descriptions by origin stations
FMusicDriver_Allegro | Factory for allegro's music player
FMusicDriver_BeMidi | Factory for the BeOS midi player
FMusicDriver_Cocoa |
FMusicDriver_DMusic | Factory for the DirectX music player
FMusicDriver_ExtMidi |
FMusicDriver_LibTimidity | Factory for the libtimidity driver
FMusicDriver_Null | Factory for the null music player
FMusicDriver_OS2 | Factory for OS/2's music player
FMusicDriver_QtMidi |
FMusicDriver_Win32 | Factory for Windows' music player
FontCache | Font cache for basic fonts
FontState | Text drawing parameters, which can change while drawing a line, but are kept between multiple parts of the same text, e.g
FoundTownWindow | Found a town window class
FreeTypeFontCache | Font cache for fonts that are based on a freetype font
GlyphEntry | Container for information about a glyph
FreeTypeSettings | Settings for the freetype fonts
FreeTypeSubSetting | Settings for a single freetype font
FreeUnitIDGenerator | Generates sequence of free UnitID numbers
FSoundDriver_Allegro | Factory for the allegro sound driver
FSoundDriver_Cocoa |
FSoundDriver_Null | Factory for the null sound driver
FSoundDriver_SDL | Factory for the SDL sound driver
FSoundDriver_Win32 | Factory for the sound driver for Windows
FVideoDriver_Allegro | Factory for the allegro video driver
FVideoDriver_Cocoa |
FVideoDriver_Dedicated | Factory for the dedicated server video driver
FVideoDriver_Null | Factory the null video driver
FVideoDriver_SDL | Factory for the SDL video driver
FVideoDriver_Win32 | The factory for Windows' video driver
Game | Main Game class
GameConfig |
GameCreationSettings | Settings related to the creation of games
GameInfo | All static information from an Game like name, version, etc
GameInstance | Runtime information about a game script like a pointer to the squirrel vm and the current state
GameLibrary | All static information from an Game library like name, version, etc
GameOptionsWindow |
GameScannerInfo |
GameScannerLibrary |
GameSettings | All settings together for the game
GameSettingsWindow | Window to edit settings of the game
GameStrings | Container for all the game strings
GenerateLandscapeWindow |
GenerateProgressWindow |
GenericCallback |
GenericResolverObject | Resolver object for generic objects/properties
GenericScopeResolver | Scope resolver for generic objects and properties
GenWorldInfo | Properties of current genworld process
GenWorldStatus |
GetNewVehiclePosResult | Position information of a vehicle after it moved
GetOptData | Data storage for parsing command line options
Goal | Struct about goals, current and completed
GoalListWindow | Window for displaying goals
GoalQuestionWindow | Ask a question about a goal
GoodsEntry | Stores station stats for a single cargo
GraphEdgeIterator | Iterator class for getting the edges in the order of their next_edge members
GraphicsSet | All data of a graphics set
GraphLegendWindow |
GRFConfig | Information about GRF, used in the game and (part of it) in savegames
GRFError | Information about why GRF had problems during initialisation
GRFFile | Dynamic data of a loaded NewGRF
GRFFileProps | Data related to the handling of grf files
GRFFilePropsBase | Data related to the handling of grf files
GRFFileScanner | Helper for scanning for files with GRF as extension
GRFIdentifier | Basic data to distinguish a GRF
GRFLabel |
GRFList | List of GRFs using array of pointers instead of linked list
GRFLoadedFeatures |
GRFLocation |
GRFParameterInfo | Information about one grf parameter
GRFPresence | Information about the presence of a Grf at a certain point during gamelog history Note about missing Grfs: Changes to missing Grfs are not logged including manual removal of the Grf
GrfProcessingState | Temporary data during loading of GRFs
SpriteSet | Definition of a single Action1 spriteset
GRFTempEngineData | Temporary engine data used when loading only
GRFText | Element of the linked list
GRFTextEntry | Holder of the above structure
GRFTextWrapper | Reference counted wrapper around a GRFText pointer
GRFTownName |
GroundVehicle | Base class for all vehicles that move through ground
GroundVehicleCache | Cached, frequently calculated values
Group | Group data
GroupStatistics | Statistics and caches on the vehicles in a group
GUIList | List template of 'things' `T` to sort in a GUI
GUISettings | Settings related to the GUI and other stuff that is not saved in the savegame
HangarTileTable | A list of all hangar tiles in an airport
Hash |
HashNode |
HeaderFileWriter |
HeaderWriter | Base class for writing the header, i.e
HeightMap | Height map - allocated array of heights (MapSizeX() + 1) x (MapSizeY() + 1)
HighScore |
HighScoreWindow |
Hotkey | All data for a single hotkey
HotkeyList | List of hotkeys for a window
HouseAnimationBase | Helper class for animation control
HouseClassMapping | Makes class IDs unique to each GRF file
HouseOverrideManager |
HouseResolverObject | Resolver object to be used for houses (feature 07 spritegroups)
HouseScopeResolver | Scope resolver for houses
HouseSpec |
HTTPCallback | Callback for when the HTTP handler has something to tell us
IConsoleAlias | –Aliases– Aliases are like shortcuts for complex functions, variable assignments, etc
IConsoleCmd |
IConsoleLine | Container for a single line of console output
IConsoleWindow |
ICU_FONTINSTANCE | Container with information about a font
ICUParagraphLayout | Wrapper for doing layouts with ICU
ICULine | A single line worth of VisualRuns
ICUVisualRun | Visual run contains data about the bit of text with the same font
IcuStringIterator | String iterator using ICU as a backend
IncomeGraphWindow |
IndustriesResolverObject | Resolver for industries
IndustriesScopeResolver | Resolver for industry scopes
Industry | Defines the internal data of a functional industry
IndustryAnimationBase | Helper class for animation control
IndustryBuildData | Data for managing the number and type of industries in the game
IndustryCargoesWindow | Window displaying the cargo connections around an industry (or cargo)
IndustryDirectoryWindow | The list of industries
IndustryOverrideManager |
IndustryProductionSpriteGroup |
IndustrySpec | Defines the data structure for constructing industry
IndustryTileOverrideManager |
IndustryTileResolverObject | Resolver for industry tiles
IndustryTileScopeResolver | Resolver for the industry tiles scope
IndustryTileSpec | Defines the data structure of each individual tile of an industry
IndustryTileTable |
IndustryTypeBuildData | Data for managing the number of industries of a single industry type
IndustryViewWindow |
IniFile | Ini file that supports both loading and saving
IniGroup | A group within an ini file
IniItem | A single "line" in an ini file
IniLoadFile | Ini file that only supports loading
InitHandler | Stateless, thread safe initialization hander
IsEmptyAction | Action to check if a vehicle has no stored cargo
KeycodeNames | String representation of a keycode
LabelObject | Container for a label for SaveLoad system
LandInfoWindow |
LangString | Information about a single string
LanguageFileWriter | Class for writing a language to disk
LanguageMap | Mapping of language data between a NewGRF and OpenTTD
Mapping | Mapping between NewGRF and OpenTTD IDs
LanguageMetadata | Metadata about a single language
LanguagePack |
LanguagePackGlyphSearcher | Helper for searching through the language pack
LanguagePackHeader | Header of a language file
LanguageScanner | Scanner to find language files in a GameScript directory
LanguageStrings | Container for the raw (unencoded) language strings of a language
LanguageWriter | Base class for all language writers
Layouter | The layouter performs all the layout work
LineCacheItem | Item in the linecache
LineCacheKey | Key into the linecache
LegendAndColour | Structure for holding relevant data for legends in small map
Lexer | Lexer of a file
LinkGraph | A connected component of a link graph
BaseEdge | An edge in the link graph
BaseEdgeIterator | Base class for iterating across outgoing edges of a node
FakePointer | A "fake" pointer to enable operator-> on temporaries
BaseNode | Node of the link graph
ConstEdgeIterator | An iterator for const edges
ConstNode | Constant node class
Edge | An updatable edge class
EdgeIterator | An iterator for non-const edges
EdgeWrapper | Wrapper for an edge (const or not) allowing retrieval, but no modification
Node | Updatable node class
NodeWrapper | Wrapper for a node (const or not) allowing retrieval, but no modification
LinkGraphJob | Class for calculation jobs to be run on link graphs
Edge | A job edge
EdgeAnnotation | Annotation for a link graph edge
EdgeIterator | Iterator for job edges
Node | Link graph job node
NodeAnnotation | Annotation for a link graph node
LinkGraphLegendWindow | Menu window to select cargoes and companies to show in a link graph overlay
LinkGraphOverlay | Handles drawing of links into some window
LinkGraphSchedule |
LinkGraphSettings |
LinkProperties | Properties of a link between two stations
LinkRefresher | Utility to refresh links a consist will visit
Hop | A hop the refresh algorithm might evaluate
RefitDesc | Simulated cargo type and capacity for prediction of future links
Listing | Data structure describing how to show the list (what sort direction and criteria)
ListOrderChange |
Livery | Information about a particular livery
LoadCheckData | Container for loading in mode SL_LOAD_CHECK
LoadFilter | Interface for filtering a savegame till it is loaded
LoadgameState |
LocaleSettings | Settings related to currency/unit systems
LoggedAction | Contains information about one logged action that caused at least one logged change
LoggedChange | Contains information about one logged change
LZMALoadFilter | Filter without any compression
LZMASaveFilter | Filter using LZMA compression
LZOLoadFilter | Filter using LZO compression
LZOSaveFilter | Filter using LZO compression
MainToolbarWindow | Main toolbar
MainWindow |
MakeEnumPropsT | Helper template class that makes basic properties of given enumeration type visible from outsize
MasterNetworkUDPSocketHandler | *** Communication with the masterserver ***/
MCF1stPass | First pass of the MCF calculation
MCF2ndPass | Second pass of the MCF calculation
MCFHandler | Link graph handler for MCF
MD5File | Structure holding filename and MD5 information about a single file
MemBlock |
MemoryDumper | Container for dumping the savegame (quickly) to memory
MessageHistoryWindow |
MissingGlyphSearcher | A searcher for missing glyphs
MixerChannel |
MovementTerminalMapping | Combination of aircraft state for going to a certain terminal and the airport flag for that terminal block
MultiCommodityFlow | Multi-commodity flow calculating base class
MultiMap | Hand-rolled multimap as map of lists
MultiMapIterator | STL-style iterator for MultiMap
MusicDriver | Driver for all music playback
MusicDriver_Allegro | Allegro's music player
MusicDriver_BeMidi | The midi player for BeOS
MusicDriver_Cocoa |
MusicDriver_DMusic | Music player making use of DirectX
MusicDriver_ExtMidi |
MusicDriver_LibTimidity | Music driver making use of libtimidity
MusicDriver_Null | The music player that does nothing
MusicDriver_OS2 | OS/2's music player
MusicDriver_QtMidi |
MusicDriver_Win32 | The Windows music player
MusicSet | All data of a music set
MusicSettings | Settings related to music
MusicTrackSelectionWindow |
MusicWindow |
NamePart |
NamePartList |
NetworkAddress | Wrapper for (un)resolved network addresses; there's no reason to transform a numeric IP to a string and then back again to pass it to functions
NetworkAdminSocketHandler | Main socket handler for admin related connections
NetworkChatWindow | Window to enter the chat message in
NetworkClientInfo | Container for all information known about a client
NetworkClientListPopupWindow | Popup selection window to chose an action to perform
ClientListAction | Container for actions that can be executed
NetworkClientListWindow | Main handle for clientlist
NetworkCompanyInfo | Company information stored at the client side
NetworkCompanyPasswordWindow |
NetworkCompanyState | Some state information of a company, especially for servers
NetworkCompanyStats | Simple calculated statistics of a company
NetworkContentConnecter | Connect to the content server
NetworkContentDownloadStatusWindow | Window for showing the download status of content
NetworkContentListWindow | Window that lists the content that's at the content server
NetworkContentSocketHandler | Base socket handler for all Content TCP sockets
NetworkGameInfo | The game information that is sent from the server to the clients
NetworkGameList | Structure with information shown in the game list (GUI)
NetworkGameSocketHandler | Base socket handler for all TCP sockets
NetworkGameWindow |
NetworkHTTPContentConnecter | Connect with a HTTP server and do ONE query
NetworkHTTPSocketHandler | Base socket handler for HTTP traffic
NetworkJoinStatusWindow |
NetworkLobbyWindow |
NetworkServerGameInfo | The game information that is not generated on-the-fly and has to be sent to the clients
NetworkSettings | All settings related to the network
NetworkSocketHandler | SocketHandler for all network sockets in OpenTTD
NetworkStartServerWindow |
NetworkTCPSocketHandler | Base socket handler for all TCP sockets
NetworkUDPQueryServerInfo | Simpler wrapper struct for NetworkUDPQueryServerThread
NetworkUDPSocketHandler | Base socket handler for all UDP sockets
NewGRFCache | Cached often queried (NewGRF) values
NewGRFClass | Struct containing information relating to NewGRF classes for stations and airports
NewGrfDebugSpritePicker | Spritepicker of SpriteAligner
NewGRFInspectWindow | Window used for inspecting NewGRFs
NewGRFParametersWindow | Window for setting the parameters of a NewGRF
NewGRFScanCallback | Callback for NewGRF scanning
NewGRFSpriteLayout | NewGRF supplied spritelayout
NewGRFTextfileWindow | Window for displaying the textfile of a NewGRF
NewGRFWindow | Window for showing NewGRF files
NewsItem | Information about a single item of news
NewsSettings | Settings related to news
NewsTypeData | Per-NewsType data
NewsWindow | Window class displaying a news item
NICallback | Representation of the available callbacks with information on when they actually apply
NIFeature | Container for all information for a given feature
NIHAirportTile |
NIHelper | Helper class to wrap some functionality/queries in
NIHHouse |
NIHIndustry |
NIHIndustryTile |
NIHObject |
NIHRailType |
NIHStation |
NIHTown |
NIHVehicle |
NIProperty | Representation of the data from a NewGRF property
NIVariable | Representation on the NewGRF variables
NoCompLoadFilter | Filter without any compression
NoCompSaveFilter | Filter without any compression
NPFFindStationOrTileData | Meant to be stored in AyStar.targetdata
NPFFoundTargetData | Meant to be stored in AyStar.userpath
NPFSettings | Settings related to the new pathfinder
NSCursor(OTTD_QuickdrawCursor) | Category of NSCursor to allow cursor showing/hiding
NullStruct |
NWidgetBackground | Nested widget with a child
NWidgetBase | Baseclass for nested widgets
NWidgetContainer | Baseclass for container widgets
NWidgetCore | Base class for a 'real' widget
NWidgetHorizontal | Horizontal container
NWidgetHorizontalLTR | Horizontal container that doesn't change the direction of the widgets for RTL languages
NWidgetLeaf | Leaf widget
NWidgetMainToolbarContainer | Container for the 'normal' main toolbar
NWidgetMatrix | Matrix container with implicitly equal sized (virtual) sub-widgets
NWidgetNewGRFDisplay | Custom nested widget container for the NewGRF gui
NWidgetPart | Partial widget specification to allow NWidgets to be written nested
NWidgetPartDataTip | Widget part for storing data and tooltip information
NWidgetPartPaddings | Widget part for storing padding
NWidgetPartPIP | Widget part for storing pre/inter/post spaces
NWidgetPartTextLines | Widget part for storing minimal text line data
NWidgetPartWidget | Widget part for storing basic widget information
NWidgetPIPContainer | Container with pre/inter/post child space
NWidgetResizeBase | Base class for a resizable nested widget
NWidgetScenarioToolbarContainer | Container for the scenario editor's toolbar
NWidgetScrollbar | Nested widget to display and control a scrollbar in a window
NWidgetServerListHeader | Full blown container to make it behave exactly as we want :)
NWidgetSmallmapDisplay | Custom container class for displaying smallmap with a vertically resizing legend panel
NWidgetSpacer | Spacer widget
NWidgetStacked | Stacked widgets, widgets all occupying the same space in the window
NWidgetToolbarContainer | Full blown container to make it behave exactly as we want :)
NWidgetVertical | Vertical container
NWidgetViewport | Nested widget to display a viewport in a window
Object | An object, such as transmitter, on the map
ObjectAnimationBase | Helper class for animation control
ObjectOverrideManager |
ObjectResolverObject | A resolver object to be used with feature 0F spritegroups
ObjectScopeResolver | Object scope resolver
ObjectSpec | Allow incrementing of ObjectClassID variables
OldChunks |
OldWaypoint | Helper structure to convert from the old waypoint system
OpenListNode | Internal node
OperatingProfitGraphWindow |
OPFSettings | Settings related to the old pathfinder
OptionData | Data of an option
Order |
OrderBackup | Data for backing up an order of a vehicle so it can be restored after a vehicle is rebuilt in the same depot
OrderList | Shared order list linking together the linked list of orders and the list of vehicles sharing this order list
OrderSettings | Settings related to orders
OrdersWindow | Order window code for all vehicles
OrthogonalTileArea | Represents the covered area of e.g
OrthogonalTileIterator | Iterator to iterate over a tile area (rectangle) of the map
OskWindow |
OTTD_CocoaView | Subclass of NSView to fix Quartz rendering and mouse awareness
OTTD_CocoaWindow | Subclass of NSWindow to cater our special needs
OTTD_CocoaWindowDelegate | Delegate for our NSWindow to send ask for quit on close
OTTDByteReaderSignal |
OTTDThreadExitSignal | Signal used for signalling we knowingly want to end the thread
OTTDThreadStartupMessage | Avoid name clashes with MorphOS API functions
OutputBuffer | Output buffer for a block of data
OutputStore | Temporarily store output
OverflowSafeInt | Overflow safe template for integers, i.e
OverrideManagerBase |
OvertakeData |
Packet | Internal entity of a packet
PacketReader | Read some packets, and when do use that data as initial load filter
PacketWriter | Writing a savegame directly to a number of packets
Pair | A pair of two integers
Palette | Information about the currently used palette
PalSpriteID | Combination of a palette sprite and a 'real' sprite
ParagraphLayouter | Interface to glue fallback and normal layouter into one
Line | A single line worth of VisualRuns
VisualRun | Visual run contains data about the bit of text with the same font
ParentSpriteToDraw | Parent sprite that should be drawn
ParsedCommandStruct |
Path | A leg of a path in the link graph
PathfinderSettings | Settings related to all pathfinders
PathNode | A path of nodes
PaymentRatesGraphWindow |
PBSTileInfo | This struct contains information about the end of a reserved path
PcxHeader | Definition of a PCX file header
PerformanceHistoryGraphWindow |
PerformanceRatingDetailWindow |
PersistentStorage | Class for pooled persistent storage of data
PersistentStorageArray | Class for persistent storage of data
PickerWindowBase | Base class for windows opened from a toolbar
PluralForm | Description of a plural form
Point | Coordinates of a point in 2D
PointDimension | Specification of a rectangle with an absolute top-left coordinate and a (relative) width/height
Pool | Base class for all pools
AllocCache | Helper struct to cache 'freed' PoolItems so we do not need to allocate them again
PoolItem | Base class for all PoolItems
PoolBase | Base class for base of all pools
PrepareRefitAction | Refit preparation action
PriceBaseSpec | Describes properties of price bases
QueryString | Data stored about a string that can be modified in the GUI
QueryStringWindow | Class for the string query window
QueryWindow | Window used for asking the user a YES/NO question
RailStationGUISettings |
RailtypeInfo | This struct contains all the info that is needed to draw and construct tracks
RailTypeResolverObject | Resolver object for rail types
RailTypeScopeResolver | Resolver for the railtype scope
RailVehicleInfo | Information about a rail vehicle
RandomizedSpriteGroup |
Randomizer | Structure to encapsulate the pseudo random number generators
ReadBuffer | A buffer for reading (and buffering) savegame data
RealSpriteGroup |
Rect | Specification of a rectangle with absolute coordinates of all edges
RectAndIndustryVector | Rect and pointer to IndustryVector
RefitDesc | Simulated cargo type and capacity for prediction of future links
RefitOption | Option to refit a vehicle chain
RefitResult | Helper structure for RefitVehicle()
RefitWindow | Refit cargo window
RememberData |
ReplaceVehicleWindow | Window for the autoreplacing of vehicles
ReserveCargoAction |
ResizeInfo | Data structure for resizing a window
ResolverObject | Interface for SpriteGroup-s to access the gamestate
ResultSpriteGroup |
ReturnCargoAction | Action for returning reserved cargo
ReusableBuffer | A reusable buffer that can be used for places that temporary allocate a bit of memory and do that very often, or for places where static memory is allocated that might need to be reallocated sometimes
RgbQuad | Format of palette data in BMP header
RoadDriveEntry |
RoadStop | A Stop for a Road Vehicle
Entry | Container for each entry point of a drive through road stop
RoadStopEntryRebuilderHelper | Helper for finding RVs in a road stop
RoadTypeInfo | Structure holding information per roadtype for several functions
RoadVehFindData |
RoadVehicle | Buses, trucks and trams belong to this class
RoadVehicleInfo | Information about a road vehicle
SavedRandomSeeds | Stores the state of all random number generators
SaveFilter | Interface for filtering a savegame till it is written
SaveLoad | SaveLoad type struct
SaveLoadFormat | The format for a reader/writer type of a savegame
SaveLoadParams | The saveload struct, containing reader-writer functions, buffer, version, etc
SaveLoadWindow |
SavePresetWindow | Class for the save preset window
Scaler | Scale various things according to symmetric/asymmetric distribution
ScanProgressWindow | Window for showing the progress of NewGRF scanning
ScenarioEditorLandscapeGenerationWindow | Landscape generation window handler in the scenario editor
ScenarioEditorToolbarWindow |
ScenarioIdentifier | Basic data to distinguish a scenario
ScenarioScanner | Scanner to find the unique IDs of scenarios
ScopeResolver | Interface to query and set values specific to a single VarSpriteGroupScope (action 2 scope)
ScoreInfo | Data structure for storing how the score is computed for a single score id
ScreenshotFormat | Screenshot format information
Script_FatalError | A throw-class that is given when the script made a fatal error
Script_Suspend | A throw-class that is given when the script wants to suspend
ScriptConfig | Script settings
ScriptConfigItem | Info about a single Script setting
ScriptFileChecksumCreator | Helper for creating a MD5sum of all files within of a script
ScriptInfo | All static information from an Script like name, version, etc
ScriptInstance | Runtime information about a script like a pointer to the squirrel vm and the current state
ScriptScanner | Scanner to help finding scripts
ScriptSettings | Settings related to scripts
ScriptStorage | The storage for each script
ScriptTextfileWindow | Window for displaying the textfile of a AI
Scrollbar | Scrollbar data structure
SearchNearbyHouseData | Structure with user-data for SearchNearbyHouseXXX - functions
SelectCompanyLiveryWindow | Company livery colour scheme window
SelectCompanyManagerFaceWindow | Management class for customizing the face of the company manager
SelectGameWindow |
SelectStationWindow | Window for selecting stations/waypoints to (distant) join to
ServerNetworkAdminSocketHandler | Class for handling the server side of the game connection
ServerNetworkGameSocketHandler | Class for handling the server side of the game connection
ServerNetworkUDPSocketHandler | *** Communication with clients (we are server) ***/
SetDateWindow | Window to select a date graphically by using dropdowns
SettingDesc |
SettingDescBase | Properties of config file settings
SettingEntry | Standard setting
SettingFilter | Filter for settings list
SettingsContainer | Containers for BaseSettingEntry
SettingsIniFile | Derived class for loading INI files without going through Fio stuff
SettingsPage | Data structure describing one page of settings in the settings window
Ship | All ships have this type
ShipVehicleInfo | Information about a ship vehicle
Sign |
SignList |
SignListWindow |
SignWindow |
SimpleCountedObject | Simple counted object
SimplePool | A simplified pool which stores values instead of pointers and doesn't redefine operator new/delete
SimplePoolPoolItem |
SimpleTinyEnumT | Template of struct holding enum types (on most archs, enums are stored in an int32)
SmallArray | Flexible array with size limit
SmallMap | Implementation of simple mapping class
SmallMapColourScheme | Colour scheme of the smallmap
SmallMapWindow | Class managing the smallmap window
SmallMatrix | Simple matrix template class
SmallPair | Simple pair of data
SmallSet | Set containing 'items' items of 'tile and Tdir' No tree structure is used because it would cause slowdowns in most usual cases
SSdata | Element of set
SmallStack | Minimal stack that uses a pool to avoid pointers
PooledSmallStack | SmallStack item that can be kept in a pool
SmallStackItem | Base class for SmallStack
SmallStackSafeStackAlloc | A small 'wrapper' for allocations that can be done on most OSes on the stack, but are just too large to fit in the stack on devices with a small stack such as the NDS
SmallVector | Simple vector template class
SnowLine | Structure describing the height of the snow line each day of the year
SortableSpriteStruct |
Sorting |
SoundDriver | Base for all sound drivers
SoundDriver_Allegro | Implementation of the allegro sound driver
SoundDriver_Cocoa |
SoundDriver_Null | Implementation of the null sound driver
SoundDriver_SDL | Implementation of the SDL sound driver
SoundDriver_Win32 | Implementation of the sound driver for Windows
SoundEntry |
SoundSettings | Settings related to sound effects
SoundsSet | All data of a sounds set
SpecializedStation | Class defining several overloaded accessors so we don't have to cast base stations that often
SpecializedVehicle | Class defining several overloaded accessors so we don't have to cast vehicle types that often
SpotData | Used as the user_data for FindFurthestFromWater
Sprite | Data structure describing a sprite
SpriteAlignerWindow | Window used for aligning sprites
SpriteCache |
SpriteFontCache | Font cache for fonts that are based on a freetype font
SpriteGroup |
SpriteLoader | Interface for the loader of our sprites
CommonPixel | Definition of a common pixel in OpenTTD's realm
Sprite | Structure for passing information from the sprite loader to the blitter
SpriteLoaderGrf | Sprite loader for graphics coming from a (New)GRF
SQFile |
Squirrel |
SquirrelStd | By default we want to give a set of standard commands to a SQ script
Station | Station data structure
StationAnimationBase | Helper class for animation control
StationCargoList | CargoList that is used for stations
StationCargoReroute | Action of rerouting cargo in a station
StationFinder | Structure contains cached list of stations nearby
StationNameInformation | Information to handle station action 0 property 24 correctly
StationRect | StationRect - used to track station spread out rectangle - cheaper than scanning whole map
StationResolverObject | Station resolver
StationScopeResolver | Scope resolver for stations
StationSettings | Settings related to stations
StationSpec | Station specification
StationSpecList |
StationViewWindow | The StationView window
RowDisplay | A row being displayed in the cargo view (as opposed to being "hidden" behind a plus sign)
StatueBuildSearchData | Structure for storing data while searching the best place to build a statue
StatusBarWindow |
StoryBookWindow |
StoryPage | Struct about stories, current and completed
StoryPageElement | Struct about story page elements
StringCompare | Comparator for strings
StringData | Information about the currently known strings
StringFilter | String filter and state
WordState | State of a single filter word
StringIDMapping | Information for mapping static StringIDs
StringIterator | Class for iterating over different kind of parts of a string
StringListReader | A reader that simply reads using fopen
StringNameWriter | Class for writing the string IDs
StringParameters |
StringReader | Helper for reading strings
StringSpriteToDraw |
Subsidy | Struct about subsidies, offered and awarded
SubsidyListWindow |
SubSprite | Used to only draw a part of the sprite
SymmetricScaler | Scaler for symmetric distribution
TarFileListEntry |
TarListEntry | The define of a TarList
TarScanner | Helper for scanning for files with tar as extension
TCPClientConnecter | Non blocking connection create to actually connect to servers
TCPConnecter | "Helper" class for creating TCP connections in a non-blocking manner
TCPListenHandler | Template for TCP listeners
TCPQueryConnecter | Non blocking connection create to query servers
TemporaryStorageArray | Class for temporary storage of data
TempStorage | Temporary storage of cargo monitoring data for loading or saving it
TerraformerState | State of the terraforming
TerraformToolbarWindow | Terra form toolbar managing class
Textbuf | Helper/buffer for input fields
TextEffect | Container for all information about a text effect
TextfileWindow | Window for displaying a textfile
TextRefStack |
ThreadMutex | Cross-platform Mutex
ThreadMutex_None | Mutex that doesn't do locking because it ain't needed when there're no threads
ThreadMutex_OS2 | OS/2 version of ThreadMutex
ThreadMutex_pthread | POSIX pthread version of ThreadMutex
ThreadMutex_Win32 | Win32 thread version of ThreadMutex
ThreadMutexLocker | Simple mutex locker to keep a mutex locked until the locker goes out of scope
ThreadObject | A Thread Object which works on all our supported OSes
ThreadObject_MorphOS | MorphOS version for ThreadObject
ThreadObject_OS2 | OS/2 version for ThreadObject
ThreadObject_pthread | POSIX pthread version for ThreadObject
ThreadObject_Win32 | Win32 thread version for ThreadObject
Tile | Data that is stored per tile
TileAndStation | Struct containing TileIndex and StationID
TileDesc | Tile description for the 'land area information' tool
TileExtended | Data that is stored per tile
TileHighlightData | Metadata about the current highlighting
TileIndexDiffC | A pair-construct of a TileIndexDiff
TileInfo | Tile information, used while rendering the tile
TileIterator | Base class for tile iterators
TileLayoutRegisters | Additional modifiers for items in sprite layouts
TileLayoutSpriteGroup | Action 2 sprite layout for houses, industry tiles, objects and airport tiles
TileMatrix | A simple matrix that stores one value per N*N square of the map
TileSpriteToDraw |
TileTypeProcs | Set of callback functions for performing tile operations of a given tile type
TimetableArrivalDeparture | Container for the arrival/departure dates of a vehicle
TimetableWindow |
TinyEnumT | The general declaration of TinyEnumT<> (above)
TooltipsWindow | Window for displaying a tooltip
Town | Town data structure
TownAuthorityWindow | Town authority window
TownCache | Data structure with cached data of towns
TownDirectoryWindow | Town directory window class
TownNameGeneratorParams | Contains pointer to generator and minimum buffer size (not incl
TownNameParams | Struct holding a parameters used to generate town name
TownResolverObject | Resolver of town properties
TownScopeResolver | Scope resolver for a town
TownViewWindow |
TrackPathFinder |
Train | 'Train' is either a loco or a wagon
TrainCache | Variables that are cached to improve performance and such
TrainCollideChecker | Temporary data storage for testing collisions
TranslationWriter | Class for writing an encoded language
TransparenciesWindow |
TransportedCargoStat | Store the maximum and actually transported cargo amount for the current and the last month
TreeListEnt |
TreePos |
UnitConversion | Helper for unit conversion
Units | Information about a specific unit system
UnitsLong | Information about a specific unit system with a long variant
UnknownGRF | Structure for UnknownGRFs; this is a lightweight variant of GRFConfig
UnmappedChoiceList | Helper structure for mapping choice lists
ValuesInterval | Contains the interval of a graph's data
Vehicle | Vehicle data structure
VehicleCache | Cached often queried values common to all vehicles
VehicleCargoList | CargoList that is used for vehicles
VehicleCargoReroute | Action of rerouting cargo staged for transfer in a vehicle
VehicleCellSize | Dimensions of a cell in the purchase/depot windows
VehicleDefaultSettings | Default settings for vehicles
VehicleDetailsWindow | Class for managing the vehicle details window
VehicleGroupWindow |
VehicleListIdentifier | The information about a vehicle list
VehicleListWindow | Window for the (old) vehicle listing
VehicleOrderSaver | This class will save the current order of a vehicle and restore it on destruction
VehicleResolverObject | Resolver for a vehicle (chain)
VehicleScopeResolver | Resolver for a vehicle scope
VehicleSettings | Settings related to vehicles
VehicleSpriteSeq | Sprite sequence for a vehicle part
VehicleViewWindow | Window manager class for viewing a vehicle
VideoDriver | The base of all video drivers
VideoDriver_Allegro | The allegro video driver
VideoDriver_Cocoa |
VideoDriver_Dedicated | The dedicated server video driver
VideoDriver_Null | The null video driver
VideoDriver_SDL | The SDL video driver
VideoDriver_Win32 | The video driver for windows
ViewPort | Data structure for viewport, display of a part of the world
ViewportData | Data structure for a window viewport
ViewportDrawer | Data structure storing rendering information
ViewportSign | Location information about a sign as seen on the viewport
ViewportSSCSS | Helper class for getting the best sprite sorter
VkMapping |
WagonOverride |
WaterFeature | Information about a water feature
Waypoint | Representation of a waypoint
WaypointWindow | GUI for accessing waypoints and buoys
Window | Data structure for an opened window
WindowDesc | High level window description
YAPFSettings | Settings related to the yet another pathfinder
YearMonthDay | Data structure to convert between Date and triplet (year, month, and day)
ZeroedMemoryAllocator | Base class that provides memory initialization on dynamically created objects
ZlibLoadFilter | Filter using Zlib compression
ZlibSaveFilter | Filter using Zlib compression